#NOTE: git checkout libaptdec

%global commit 794d69c9a7753feba4bd89cb037eac40cf6bbcd2
%global short %(c=%{commit}; echo ${c:0:10})
%global date 20220924
Name:           aptdec
Version:        0.0.0+git.20220924
Release:        1.2
Summary:        Low bit rate speech codec
License:        GPLv2+
Group:          Productivity/Hamradio/Other
URL:            https://github.com/srcejon/aptdec
Source:         https://github.com/srcejon/aptdec/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  libsndfile-devel
BuildRequires:  libpng-devel

%description
Aptdec decodes images transmitted by NOAA weather satellites

%package devel
Summary:        Development files for Aptdec
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Aptdec decodes images transmitted by NOAA weather satellites

%package palettes
Summary:        Development files for Aptdec
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description palettes
Aptdec decodes images transmitted by NOAA weather satellites

%package doc
Summary:        Documentation for Aptdec

%description doc
Documentation for Aptdec

%prep
%autosetup

%build
%cmake -DCMAKE_INSTALL_LIBDIR=lib64
%cmake_build

%install
%cmake_install

prefix=%{_prefix}
exec_prefix=\${prefix}
includedir=\${prefix}/include/%{name}
libdir=\${exec_prefix}/%{_lib}
mkdir %{buildroot}/%{_libdir}
mv %{buildroot}/usr/lib/libapt.so %{buildroot}/%{_libdir}
cp %{buildroot}/%{_libdir}/libapt.so %{buildroot}/%{_libdir}/libapt.so.0

%files
%exclude /usr/bin/aptdec

#%license COPYING

%files devel
%{_includedir}/*
%{_libdir}/libapt.so
%{_libdir}/libapt.so.0

%files palettes
%{_prefix}/share/aptdec/palettes/WXtoImg-BD.png
%{_prefix}/share/aptdec/palettes/WXtoImg-CC.png
%{_prefix}/share/aptdec/palettes/WXtoImg-EC.png
%{_prefix}/share/aptdec/palettes/WXtoImg-HE.png
%{_prefix}/share/aptdec/palettes/WXtoImg-HF.png
%{_prefix}/share/aptdec/palettes/WXtoImg-JF.png
%{_prefix}/share/aptdec/palettes/WXtoImg-JJ.png
%{_prefix}/share/aptdec/palettes/WXtoImg-MB.png
%{_prefix}/share/aptdec/palettes/WXtoImg-MD.png
%{_prefix}/share/aptdec/palettes/WXtoImg-N15-HVC.png
%{_prefix}/share/aptdec/palettes/WXtoImg-N18-HVC.png
%{_prefix}/share/aptdec/palettes/WXtoImg-N19-HVC.png
%{_prefix}/share/aptdec/palettes/WXtoImg-NO.png
%{_prefix}/share/aptdec/palettes/WXtoImg-TA.png
%{_prefix}/share/aptdec/palettes/WXtoImg-ZA.png
%{_prefix}/share/aptdec/palettes/WXtoImg-class.png
%{_prefix}/share/aptdec/palettes/WXtoImg-fire.png
%{_prefix}/share/aptdec/palettes/WXtoImg-sea.png
%{_prefix}/share/aptdec/palettes/N19-HRPT-Falsecolor.png

%files doc
%doc README*

%changelog
* Wed Dec 09 2020 lu3vea@gmail.com - 1.0
- First Fedora spec

